Support » Fixing WordPress » Random php errors and warnings – function.require, compat.php, etc

  • Hey all,

    I’ve just upgraded to 2.5 hoping to resolve some issues with my wordpress installation, but so far, no success.

    ‘[01-Apr-2008 21:23:20] PHP Warning: main(/home/usr/public_html/wp-includes/compat.php) [function.main]: failed to open stream: No such file or directory in /home/usr/public_html/wp-settings.php on line 200
    [01-Apr-2008 21:23:20] PHP Warning: main(/home/usr/public_html/wp-includes/compat.php) [function.main]: failed to open stream: No such file or directory in /home/usr/public_html/wp-settings.php on line 200
    [01-Apr-2008 21:23:20] PHP Fatal error: main() [function.require]: Failed opening required ‘/home/usr/public_html/wp-includes/compat.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/usr/public_html/wp-settings.php on line 200′

    That’s what’s appearing in my error log.

    Any ideas? I’ve been having issues the last few days (even before I upgraded) with the main index file opening up a tonne of processes to the point of crashing the server, so I’m just trying to eliminate any potential errors.

Viewing 4 replies - 1 through 4 (of 4 total)
  • make sure the /wp-includes/compat.php file actually exists on your server. To be double sure, download the 2.5 package and re-upload the file again.

    Heya,

    Its’ there – deleted and re-uploaded as well.

    line 200 of wp-settings.php says:
    require (ABSPATH . WPINC . '/compat.php');

    if the file is there, it shouldn’t be giving you an error.

    Not that this is recommended, but you could always just comment out line 200 temporarily and see if it still gives you the error. Past that, this is probably a little over my head.

    I wonder if it could be a permissions error, but I’m a little hesitant to mess around with that stuff.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Random php errors and warnings – function.require, compat.php, etc’ is closed to new replies.